%global npm_name url-join

Summary:       Join urls and normalize as in path.join
Name:          nodejs-%{npm_name}
Version:       0.0.1
Release:       2%{?dist}
License:       MIT
URL:           https://github.com/jfromaniello/url-join
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Join all arguments together and normalize the resulting url.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr lib package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com>
- spec change: npmname -> npm_name

* Wed Sep 09 2015 Troy Dawson <tdawson@redhat.com> - 0.0.1-1
- Initial package
